DNSPING(1)

NAME
dnsping - DNS ping utility

DESCRIPTION
dnsping pings a DNS resolver by sending an arbitrary DNS query for given number of times. It calculates minimum, maximum and average response time as well as jitter (stddev).

USAGE
usage: dnsping [-h] [-q] [-v] [-s server] [-p port] [-P port] [-S address] [-c count] [-t type] [-w wait] hostname

OPTIONS

-h  --help
    Show this help

-q  --quiet
    Quiet

-v  --verbose
    Print actual dns response

-s  --server
    DNS server to use (default: first entry from /etc/resolv.conf)

-p  --port
    DNS server port number (default: 53)

-T  --tcp
    Use TCP instead of UDP

-4  --ipv4
    Use IPv4 as default network protocol

-6  --ipv6
    Use IPv6 as default network protocol

-P  --srcport
    Query source port number (default: 0)

-S  --srcip
    Query source IP address (default: default interface address)

-c  --count
    Number of requests to send (default: 10)

-w  --wait
    Maximum wait time for a reply (default: 5)

-t  --type
    DNS request record type (default: A)

SEE ALSO
For more documentation on dnsping see https://dnsdiag.org/.